/api/v1/external-user-groups/{id} (PATCH)
const url = 'https://api.endless.zaia.app/api/v1/external-user-groups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"externalId":"example","name":"example","tierId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.endless.zaia.app/api/v1/external-user-groups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "externalId": "example", "name": "example", "tierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Updates an external user group.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
External reference in the integrated system.
The display name of the external user group.
The tier associated with the external user group.
Examplegenerated
{ "externalId": "example", "name": "example", "tierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Seção intitulada “Responses”The external user group was updated.
object
A UUID v4 string that identifies an entity.
External reference in the integrated system.
The display name of the external user group.
The tier associated with the external user group.
The workspace that owns the external user group.
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updatedAt": "2026-04-15T12:00:00Z", "externalId": "example", "name": "example", "tierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}External user group or tier not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}External user group external id already exists in this workspace.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}